Description

I want to have an integer as persistence object identifier, so I implemented it this way:

    /**
     * @var int
     * @ORM\Id
     * @ORM\GeneratedValue
     * @Flow\Identity
     */
    protected $id;

But flow raised an exception while it tries to resolve the route for the show action for my object. I think the following part of the core is
the problem, isnt it?

I attached my patch.

Related issues:
related to TYPO3.Flow - Bug # 48887: Support numeric identifiers in IdentityR... Resolved 2013-06-05

Associated revisions
Revision 4e698ac3 - 2015-02-18 17:25 - Bastian Waidelich

[BUGFIX] Support numeric identifiers in dynamic route parts

Currently the dynamic route part handler provided by Flow (namely
``DynamicRoutePart`` and ``IdentityRoutePart``) only support objects
with string identifiers.

With this change also numeric identifiers are supported, for example
for entities with a numeric auto_increment identifier.

Change-Id: I57da5820c38d08494937f011439c00b0fd6851a7
Fixes: #48887
Fixes: #58517
Releases: master, 2.3, 2.2

Revision f5bb0553 - 2015-02-18 17:26 - Bastian Waidelich
[BUGFIX] Support numeric identifiers in dynamic route parts

Currently the dynamic route part handler provided by Flow (namely
``DynamicRoutePart`` and ``IdentityRoutePart``) only support objects
with string identifiers.

With this change also numeric identifiers are supported, for example
for entities with a numeric auto_increment identifier.

Change-Id: I57da5820c38d08494937f011439c00b0fd6851a7
Fixes: #48887
Fixes: #58517
Releases: master, 2.3, 2.2

Revision 8687bfb8 - 2015-04-26 18:57 - Bastian Waidelich

[BUGFIX] Support numeric identifiers in dynamic route parts

Currently the dynamic route part handler provided by Flow (namely
``DynamicRoutePart`` and ``IdentityRoutePart``) only support objects
with string identifiers.

With this change also numeric identifiers are supported, for example
for entities with a numeric auto_increment identifier.

Change-Id: I57da5820c38d08494937f011439c00b0fd6851a7
Fixes: #48887
Fixes: #58517
Releases: master, 2.3, 2.2

History
#1 - 2014-05-05 14:00 - Bastian Waidelich
- Project changed from TYPO3 Flow Base Distribution to TYPO3.Flow

#2 - 2014-05-05 14:01 - Bastian Waidelich
- Category set to MVC - Routing
- Status changed from New to Accepted
- Assigned To set to Bastian Waidelich
- Has patch set to No

Thanks for reporting

#3 - 2014-05-14 18:23 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at https://review.typo3.org/30116
#4 - 2014-05-16 11:58 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at https://review.typo3.org/30116

#5 - 2015-02-18 17:26 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at http://review.typo3.org/30116

#6 - 2015-02-18 17:26 - Gerrit Code Review

Patch set 1 for branch 2.3 of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at http://review.typo3.org/36997

#7 - 2015-02-18 17:27 - Gerrit Code Review

Patch set 1 for branch 2.2 of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at http://review.typo3.org/36998

#8 - 2015-02-18 17:30 - Bastian Waidelich
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:4e698ac3d86195f87863a2d17759871b4b9990f2.

#9 - 2015-04-08 12:34 - Gerrit Code Review
- Status changed from Resolved to Under Review

Patch set 2 for branch 2.2 of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at http://review.typo3.org/36998

#10 - 2015-04-26 18:57 - Gerrit Code Review

Patch set 3 for branch 2.2 of project Packages/TYPO3.Flow has been pushed to the review server.
It is available at http://review.typo3.org/36998

#11 - 2015-04-26 19:30 - Bastian Waidelich
- Status changed from Under Review to Resolved

Applied in changeset commit:8687bfb8c34fe4a50febff3f968152decd98aaa3.
